package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsLjplanTmplMapper;
import com.ruoyi.project.training.bccnew.domain.TTsLjplanTmpl;
import com.ruoyi.project.training.bccnew.service.ITTsLjplanTmplService;

/**
 * 裂解培训模版Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsLjplanTmplServiceImpl implements ITTsLjplanTmplService
{
    @Autowired
    private TTsLjplanTmplMapper tTsLjplanTmplMapper;

    /**
     * 查询裂解培训模版
     *
     * @param id 裂解培训模版ID
     * @return 裂解培训模版
     */
    @Override
    public TTsLjplanTmpl selectTTsLjplanTmplById(Long id)
    {
        return tTsLjplanTmplMapper.selectTTsLjplanTmplById(id);
    }

    /**
     * 查询裂解培训模版列表
     *
     * @param tTsLjplanTmpl 裂解培训模版
     * @return 裂解培训模版
     */
    @Override
    public List<TTsLjplanTmpl> selectTTsLjplanTmplList(TTsLjplanTmpl tTsLjplanTmpl)
    {
        return tTsLjplanTmplMapper.selectTTsLjplanTmplList(tTsLjplanTmpl);
    }

    /**
     * 新增裂解培训模版
     *
     * @param tTsLjplanTmpl 裂解培训模版
     * @return 结果
     */
    @Override
    public int insertTTsLjplanTmpl(TTsLjplanTmpl tTsLjplanTmpl)
    {
        return tTsLjplanTmplMapper.insertTTsLjplanTmpl(tTsLjplanTmpl);
    }

    /**
     * 修改裂解培训模版
     *
     * @param tTsLjplanTmpl 裂解培训模版
     * @return 结果
     */
    @Override
    public int updateTTsLjplanTmpl(TTsLjplanTmpl tTsLjplanTmpl)
    {
        return tTsLjplanTmplMapper.updateTTsLjplanTmpl(tTsLjplanTmpl);
    }

    /**
     * 批量删除裂解培训模版
     *
     * @param ids 需要删除的裂解培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsLjplanTmplByIds(Long[] ids)
    {
        return tTsLjplanTmplMapper.deleteTTsLjplanTmplByIds(ids);
    }

    /**
     * 删除裂解培训模版信息
     *
     * @param id 裂解培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsLjplanTmplById(Long id)
    {
        return tTsLjplanTmplMapper.deleteTTsLjplanTmplById(id);
    }
}
